<%@ page language="java" %>


<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.text.FieldPosition" %>
<%@ page import="java.util.logging.Level" %>

<%@ page import="com.soapknox.common.utils.*" %>
<%@ page import="com.soapknox.common.Constants" %>

<%@ page errorPage="/error/genericError.jsp" %>

<%@ page import="PayPalAPI.api.ebay.*" %>
<%@ page import="eBLBaseComponents.apis.ebay.*" %>

<%@ page import="com.soapknox.paypal.client.Service" %>
<%@ page import="com.soapknox.paypal.webapp.database.DBPayPalProfile" %>


<%
   ResourceReader app = new ResourceReader();
   app.readFile("/prog.properties");
   String webApplicationPath = app.getProperty("webApplicationPath");
   String paypalURL = app.getProperty("paypalURL");
   String certFileName = app.getProperty("certFileName");
   String forwardURL = null;
   DBPayPalProfile pp = null;

   String transactionId = request.getParameter("transactionId");
   if( (transactionId == null) || (transactionId.trim().equals("")) ) {
       forwardURL = "/transactions/getTransactionDetails.jsp";
       request.setAttribute("message", "Transaction Id is empty. Please enter a valid Id.");
       RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(forwardURL);
       dispatcher.forward(request, response);
       return;
   }

   GetTransactionDetailsResponseType resp = null;
   
   try {
       pp = new DBPayPalProfile();
       pp = pp.getProfile();
       
       if(pp != null) {
           Service service = new Service();
           service.setServiceURL(paypalURL);
           service.setUserCredentials(pp.getApiUsername(), pp.getApiPassword());
           service.setCertName(certFileName);
           service.setLogLevel(Level.ALL);
           service.setSubject("orders@gameliquidation.com");
   
           resp = service.getTransactionDetails(transactionId);
           request.setAttribute("paypalResponse", resp);
           request.setAttribute("transactionId", transactionId);
       } else {
           forwardURL = "/error/message.jsp";
           request.setAttribute("message", "Could not get PayPal profile data from database.");
           RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(forwardURL);
           dispatcher.forward(request, response);
       }
   } catch(Throwable e) {
      log("Caught exception in listTransactionDetails.jsp: " + e.getMessage());
      request.setAttribute("exception", e);
      forwardURL = "/error/genericError.jsp";
 	  RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(forwardURL);
	  dispatcher.forward(request, response);
	  
   }

   

%>
<HTML xmlns:IE>

<jsp:include page="/jspUtils/startHtmlHead.jsp" flush="true"/>

	<TITLE>Get Transaction Details</TITLE>

<jsp:include page="/jspUtils/endHtmlHead.jsp" flush="true"/>

<jsp:include page="/jspUtils/startBody.jsp" flush="true"/>

<jsp:include page="/jspUtils/header.jsp" flush="true"/>


<jsp:include page="/transactions/transactionsDetailSearch.jsp" flush="true"/>


<TABLE>
    <TR>
        <td class="cellPlainTextRightBottom"  class="cellPlainTextRightBottom" ></TD>
    </TR>
</TABLE>

<%
    if (resp != null) {
    String ack = resp.getAck().toString();
       
%>

     Response Status:&nbsp;<%=ack%>

     <jsp:include page="/error/paypalError.jsp" flush="true"/>
  
     <center>
     
     <% if(!ack.equals("Failure")) { %> 
         <jsp:include page="transactionDetails.jsp" flush="true"/>
     <% } %>
<%
    } else {
%>

      PayPal server returned an empty data.
<%  } %>
</center>

</BODY>

</HTML>